//
//  ICeCoffEETrigger.h
//  ICeCoffEE APE
//
//  Created by Nicholas Riley on 5/14/05.
//  Copyright 2005 Nicholas Riley. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface ICeCoffEETrigger : NSObject {
    NSEvent *event;
    NSTimer *timer;
    NSRange range;
    NSView<NSTextInput> *target;
}

+ (void)setTriggerForEvent:(NSEvent *)anEvent onTarget:(NSView<NSTextInput> *)aTarget;
+ (BOOL)cancel;

- (void)timerFired:(NSTimer *)aTimer; // overridden by subclasses

@end
